# netzradar-linker

Einfaches Userscript zur Erzeugung eines Kurzlinks per Knopfdruck beim Erstellen des Netzradars zur Verwendung in Tampermonkey (nicht in Greasemonkey getestet).

Es wird zudem auch die Headline automatisch mitgenommen, wenn möglich.

Einschränkungen:

* die automatische Übersetzung funktioniert im Moment nicht.
* die Erzeugung eines Kurzlinks kann aufgrund von Browser-Sicherheitsvorgaben nur auf Seiten, die per HTTPS erreichbar sind, erfolgen.

## Installation

1. Öffne Chrome

2. Installiere [Tampermonkey](https://chromewebstore.google.com/detail/tampermonkey/dhdgffkkebhmkfjojejmpbldmpobfkfo?hl=de)

3. Klicke auf [diesen Link](https://gitlab.ard.de/ida/netzradar-linker/-/raw/main/netzradar-linker.user.js) (Raw-File des Userscripts). Tampermonkey öffnet dann automatisch einen Update-Dialog

4. Klicke auf "Installieren": 

![TM_Installation](TM_Installation.PNG)

5. Klicke mit rechts auf das Tampermonkey-Symbol im Browser und wähle "Einstellungen verwalten" aus 

![TM_Einstellungen_verwalten](TM_Einstellungen_verwalten.PNG)

6. Aktiviere die Option "Entwicklermodus" oben rechts, danach musst die evtl. den Browser neu starten

7. Klicke auf das Tampermonkey-Symbol und dann auf "Übersicht". Wähle den "Netzradar Linker" aus. 

![TM_Menue](TM_Menue.PNG) ![TM_Uebersicht](TM_Uebersicht.PNG)

8. Trage bei "Username" (Zeile 60) "archiv" ein, und ersetze "Password" durch das Yourls-Passwort (im Password-Manager abrufbar). Setze beides in Anführungszeichen und achte auf Groß- und Kleinschreibung. Speichere die Änderungen (STRG+S oder "Datei" -> "Speichern").

![Credentials](Credentials.PNG)

9. Probiere aus, ob alles funktioniert. Rufe z.B. [diesen Link](https://jungle.world/artikel/2024/13/ausstellung-jacques-lacan-jetzt-mal-bloss-keine-genitalpanik) auf und klicke den orangenen "Link kürzen"-Button unten rechts.

10. Tampermonkey fragt dich, ob eine fremde Ressource Daten abrufen darf. Klicke auf "Immer zulassen".

11. Teste den Button nochmal auf einer anderen Website. 

10. Fertig!

## An- und Ausschalten des Scripts

Falls dich der Button bei der sonstigen Arbeit stört, kannst du das Script ab- und später wieder anschalten. Klicke hierzu auf den Schieberegler neben dem Skriptnamen:

![TM_Schalter](TM_Schalter.PNG)

## Updates einspielen

Wenn ein Update verfügbar ist, genügt ein Klick auf den Link unter Punkt 3. Wenn die Versionsnummer des neuen Scripts höher ist, als die des Alten, wird ein "Update"-Button angezeigt. 

Bei den Tampermonkey-Einstellungen kannst du auch auswählen, dass regelmäßig automatisch nach verfügbaren Updates geschaut werden soll.